<?php

namespace app\entity\data\product;

use app\entity\data\DataEntity;

class ProductSeckillEntity extends DataEntity
{
    public $id = null;  // 自增ID
    public $productId = null;  // 秒杀商品ID
    public $seckillDate = null;  // 秒杀时间段
    public $status = null;  // 状态 1 开启  0 关闭 2 已结束
    public $ctime = null;  // 创建时间
    public $merId = null;  // 商户ID

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     * @return ProductSeckillEntity
     */
    public function setId($id): ProductSeckillEntity
    {
        $this->id = $id;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getProductId()
    {
        return $this->productId;
    }

    /**
     * @param mixed $productId
     * @return ProductSeckillEntity
     */
    public function setProductId($productId): ProductSeckillEntity
    {
        $this->productId = $productId;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getSeckillDate()
    {
        return $this->seckillDate;
    }

    /**
     * @param mixed $seckillDate
     * @return ProductSeckillEntity
     */
    public function setSeckillDate($seckillDate): ProductSeckillEntity
    {
        $this->seckillDate = $seckillDate;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @param mixed $status
     * @return ProductSeckillEntity
     */
    public function setStatus($status): ProductSeckillEntity
    {
        $this->status = $status;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getCtime()
    {
        return $this->ctime;
    }

    /**
     * @param mixed $ctime
     * @return ProductSeckillEntity
     */
    public function setCtime($ctime): ProductSeckillEntity
    {
        $this->ctime = $ctime;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getMerId()
    {
        return $this->merId;
    }

    /**
     * @param mixed $merId
     * @return ProductSeckillEntity
     */
    public function setMerId($merId): ProductSeckillEntity
    {
        $this->merId = $merId;
        return $this;
    }
}
